ServerEvents.recipes(event => {
  event.recipes.powah.energizing({
    ingredients: [
      { item: 'minecraft:redstone_block' },
      { item: 'ae2:singularity' },
      { item: 'thermal:iron_gear' },
      { item: 'minecraft:oak_log' },
      { item: 'bloodmagic:blankslate' }
    ],
    energy: 50000, // en FE
    result: {
      item: 'industrialforegoing:machine_frame_pity'
    }
  });
});